<?php
/**
 * @var array $data
 */

use kernel\IGTabel\btn\DangerBtn;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\IGTabel\btn\SuccessBtn;

$table_info = [
    "meta" => [
        "rows" => [
            "name" => "Название",
            "author" => "Автор",
            "version" => "Версия",
            "description" => "Описание"
        ],
        "params" => ["class" => "table table-bordered"],
        "baseUrl" => "/admin/module",
    ],
    "data" => $data
];
$table = new \Itguild\Tables\ViewJsonTable(json_encode($table_info, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));

$table->beforePrint(function () {
    $btn = PrimaryBtn::create("Список", "/admin/module")->fetch();
    return $btn;
});
$table->create();
$table->render();